
/**
 * Here an initialization of an multi-dimensional identity matrix is done.
 * First way is the use of an enumeration (idMatr1).
 * Another possiblity is the dynamical inititialization of an array that
 * contains the values of the matrix. This is done in the method main with the
 * matrix idMatr2.
 * 
 * @author Thomas H. A. Dammann
 * @version $Revision: 1.3 $ --- $Date: 2001/08/23 10:26:12 $
 */


public class IdMatrix
{

    // Here the initialization is done with an enumeration:
    public double[][] idMatr1 = 
    {
        {1.0,0.0,0.0,0.0,0.0,0.0},
        {0.0,1.0,0.0,0.0,0.0,0.0},
        {0.0,0.0,1.0,0.0,0.0,0.0},
        {0.0,0.0,0.0,1.0,0.0,0.0},
        {0.0,0.0,0.0,0.0,1.0,0.0},
        {0.0,0.0,0.0,0.0,0.0,1.0}
    };

    final int RANG = 6;
    public double[][] idMatr2 = new double[RANG][RANG];

    /**
     * Example of the lerning unit 3 to show the dynamical initializion of multi-dimensional arrays.
     * */

    public void main()
    {
        int row,        // Row of the matrix
            col;        // Column of the matrix

            
        // Initialize matrax
        for (row = 0; row < RANG; row++)
        {
            for (col = 0; col < RANG; col++)
            {
                if (row == col)     // If the row is equal to the column then store 1.0 ...
                {
                    idMatr2[row][col] = 1.0;
                }
                else                // Else put 0.0 into the cell of the matrix
                {
                    idMatr2[row][col] = 0.0;
                }
            }
        }

        // Print the matrixes
        for (row = 0; row < RANG; row++)
        {

            // Print "row" of idMatr1
            for (col = 0; col < RANG; col++)
            {
                Format.print(System.out,"%4.1f",idMatr1[row][col]);
            }

            // Print delimiter
            System.out.print("  *  ");

            // Print "row" of idMatr2
            for (col = 0; col < RANG; col++)
            {
                Format.print(System.out,"%4.1f",idMatr2[row][col]);
            }

        // Print a new line
        System.out.println("");

        }


    }
}
